## usbrip 2.2.2%2Bgit20221003.5093c84

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=2.2.2+git%cd.%h" \
https://github.com/snovvcrash/usbrip/ HEAD
