=== debian/changelog ===
usbrip (2.2.2+git20221003.5093c84-4) unstable; urgency=medium

  * Team upload.
  * d/p/*: Add 0002.python3-terminaltables3.patch (Closes: #1114549).
  * d/watch: Update it to version 5 format.
  * d/control: Drop now redundant 'Rules-Requires-Root: no'.
  * d/control: Bump Standards-Version to 4.7.3.

 -- Sven Geuer <sge@debian.org>  Wed, 07 Jan 2026 21:08:12 +0100

usbrip (2.2.2+git20221003.5093c84-3) unstable; urgency=medium

  * debian/control:
     - Bumped Standards-Version to 4.7.2
     - Fixed typo in package description (Closes: ##1100463)
     - Updated for python3-terminaltables3 (closes:#1100459)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 12 Apr 2025 19:47:53 -0300

usbrip (2.2.2+git20221003.5093c84-2) unstable; urgency=medium

  * Source-only upload to allow testing migration

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Mon, 30 Oct 2023 22:09:00 -0300

usbrip (2.2.2+git20221003.5093c84-1) unstable; urgency=medium

  * Initial release. (Closes: #1051379)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 06 Sep 2023 05:35:03 -0300
