=== debian/control ===
Source: usbrip
Section: utils
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               flit,
               python3-all,
               python3-setuptools,
               python3-termcolor,
               python3-terminaltables3,
               python3-tqdm,
               python3-wheel
Standards-Version: 4.7.3
Homepage: https://github.com/snovvcrash/usbrip/
Vcs-Browser: https://salsa.debian.org/pkg-security-team/usbrip
Vcs-Git: https://salsa.debian.org/pkg-security-team/usbrip.git

Package: usbrip
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: USB device artifacts tracker
 USB device forensic analysis tool for Linux systems. It is designed
 to assist in the investigation of activities related  to USB devices
 such as USB sticks and USB storage devices.usbrip runs from the command
 line, which allows its integration into automated scripts and workflows.
 .
 Some of the main functionalities and features of this package:
  - Metadata Extraction: usbrip allows the removal of metadata from
    connected USB devices, according to manufacturer identification, model
    and serial number.
 .
  - Connection History: The tool records and displays the connection history
    all previous USB device connections, which may be useful
    to track suspicious activity.
 .
  - Firmware Analysis: It can analyze the firmware of USB devices
    to check for unauthorized modifications or potential threats
    to the security.
 .
  - Data Visualization: usbrip provides clear visualizations of the data
    extracted, facilitating the analysis and interpretation of the information.
 .
  - Support Different Modes: The tool offers different modes of
    operation such as quick scan mode and deep scan mode,
    to meet different research needs.
 .
 Linux Compatibility: It is designed for Linux systems and supports
 various Linux distributions.
