=== debian/watch ===
Version: 5
Source: https://github.com/snovvcrash/usbrip
Matching-Pattern: HEAD
Mode: git
Git-Pretty: 2.2.2+git%cd.%h
